=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10.2),
  cmake, debhelper (>= 9), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.5),
- libxslt1-dev, libxml2-dev, libboost1.53-dev
+ kdelibs5-dev (>= 4:4.13.0),
+ libxslt1-dev, libxml2-dev, libboost1.54-dev
 Standards-Version: 3.9.4
 Homepage: http://www.kde.org
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello-13.10
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello-13.10
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello
 
 Package: umbrello
 Architecture: any
