=== umbrello/CMakeLists.txt ===
--- 
+++ 
@@ -196,7 +196,6 @@
     dialogs/dialogbase.cpp
     dialogs/exportallviewsdialog.cpp
     dialogs/generaloptionpage.cpp
-    dialogs/notedialog.cpp
     dialogs/objectnodedialog.cpp
     dialogs/overwritedialogue.cpp
     dialogs/pkgcontentspage.cpp
@@ -314,3 +313,4 @@
     cmds/widget/cmd_changeTextColor.cpp
     cmds/widget/cmd_changeLineColor.cpp
     cmds/widget/cmd_changeLineWidth.cpp
+    cmds/widget/cmd_changeFillColor.cpp
