## umbrello 4.14.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,8 +7,8 @@
 set(KDE4_BUILD_TESTS ON)  # for unit tests
 
 set(VERSION_MAJOR "2")
-set(VERSION_MINOR "13")
-set(VERSION_PATCH "3")
+set(VERSION_MINOR "14")
+set(VERSION_PATCH "2")
 
 # set default umbrello version
 # umbrello version could be overridden by cmake command line using -DUMBRELLO_VERSION_STRING=major.minor.patch
@@ -34,6 +34,9 @@
 find_package(KDE4 REQUIRED)
 include(KDE4Defaults)
 include(MacroLibrary)
+
+message(STATUS "Using automoc4 version ${AUTOMOC4_VERSION}")
+message(STATUS "Using cmake version ${CMAKE_VERSION}")
 
 # The FindKDE4.cmake module sets _KDE4_PLATFORM_DEFINITIONS with
 # definitions like _GNU_SOURCE that are needed on each platform.
