=== debian/changelog ===
umbrello (4:4.14.2-1) unstable; urgency=medium

  * New upstream release (4.14.2).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 20 Oct 2014 17:13:13 +0200

umbrello (4:4.14.1-1) unstable; urgency=medium

  * New upstream release (4.14.1).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 17 Sep 2014 09:44:33 +0200

umbrello (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 15:19:54 +0200

umbrello (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.
  * New patch: valgrind_errors (Closes: #610504)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 25 Jul 2014 12:23:39 +0200
