=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: umbrello
 Section: kde
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sune Vuorela <sune@debian.org>,
            Fathi Boudra <fabo@debian.org>,
            Modestas Vainius <modax@debian.org>,
@@ -11,7 +10,7 @@
 Build-Depends: cmake (>= 2.8),
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kdelibs5-dev (>= 4:4.11),
                libboost-dev (>= 1.33.1),
                libxml2-dev,
                libxslt1-dev,
@@ -20,10 +19,8 @@
 Standards-Version: 3.9.5
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
-Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello
-Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/umbrello
-X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/umbrello.git
-X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/umbrello.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/umbrello.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/umbrello.git
 
 Package: umbrello
 Architecture: any
