=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/umbrello-([\d.]+).tar.xz
