## umbrello 15.08.2

=== debian/changelog ===
umbrello (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 13:09:45 +0100

umbrello (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:48:50 +0100

umbrello (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 18:24:31 +0100

umbrello (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 12:35:42 +0100

umbrello (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * wrap-and-sort 

  [ Jonathan Riddell ]
  * New upstream release
  * Disable applying valgrind_errors, some is no longer needed, the rest is
    undocumented and upstream requests comments
    https://mail.kde.org/pipermail/umbrello-devel/2015-June/019594.html

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 22:46:15 +0200
