=== debian/control ===
--- 
+++ 
@@ -12,11 +12,12 @@
                kde-sc-dev-latest (>= 4:4.12),
                kdelibs5-dev,
                libboost-dev (>= 1.33.1),
+               libx11-dev,
                libxml2-dev,
                libxslt1-dev,
                pkg-config,
                pkg-kde-tools (>= 0.12)
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 XS-Testsuite: autopkgtest
 Homepage: http://www.kde.org/
 Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/umbrello.git/
